###################################################
### chunk number 1: no.nonsense
###################################################
rm(list=ls())


###################################################
### chunk number 2: Load_package eval=FALSE
###################################################
## library(ddepn)


###################################################
### chunk number 3: SimulateNetwork eval=FALSE
###################################################
## set.seed(12345)
## n <- 6
## signet <- signalnetwork(n=n, nstim=2, cstim=0, prop.inh=0.2)
## net <- signet$phi
## stimuli <- signet$stimuli
## weights <- signet$weights


###################################################
### chunk number 4: SimulateData eval=FALSE
###################################################
## #plotdetailed(net,weights=weights,stimuli=stimuli,fontsize=15)
## ## sample data
## dataset <- makedata(net, stimuli, mu.bg=1200, sd.bg=400, mu.signal.a=2000, sd.signal.a=1000)
## data <- dataset$datx


###################################################
### chunk number 5: RunGA eval=FALSE
###################################################
## ret <- ddepn(data, phiorig=net, inference="netga",
##               maxiterations=15, p=30, q=0.3, m=0.8,
##               usebics=TRUE)


###################################################
### chunk number 6: PlotTheResults eval=FALSE
###################################################
## plotrepresult(ret)


###################################################
### chunk number 7: MCMCsampling eval=FALSE
###################################################
## # construct a prior matrix with uniform probabilities for each edge
## B <- matrix(0.5, nrow=n, ncol=n, dimnames=dimnames(net))
## mi <- 5000
## burnin <- 1000
## library(multicore)
## ret <- ddepn(data, phiorig=net, inference="mcmc",
## 		maxiterations=mi, burnin=burnin,
## 		usebics=FALSE, lambda=5, B=B,
## 		multicores=TRUE, cores=2)
## 


###################################################
### chunk number 8: Examine MCMC sampling eval=FALSE
###################################################
## plotrepresult(ret$samplings[[1]])


###################################################
### chunk number 9: MCMC output eval=FALSE
###################################################
## library(coda)
## mcmc1 <- mcmc(data=ret$ltraces[-c(1:burnin,mi),1])
## mcmc2 <- mcmc(data=ret$ltraces[-c(1:burnin,mi),2])
## mcmcl <- mcmc.list(mcmc1,mcmc2)
## plot(mcmcl)
## gelman.plot(mcmcl)


###################################################
### chunk number 10: ExampleNet eval=FALSE
###################################################
## phi <- matrix(0,nrow=5,ncol=5,dimnames=list(c("EGF","X","AKT","MEK","ERK"),c("EGF","X","AKT","MEK","ERK")))
## phi[1,c(3,4,5)] <- 1
## phi[2,4] <- 2
## phi[4,5] <- 1
## layout(t(matrix(c(1,2))),widths=c(1,2))
## plotdetailed(phi,stimuli=list(c(EGF=1,X=2)))
## plotmatrix(phi,"phi")


###################################################
### chunk number 11: kegggraphs eval=FALSE
###################################################
## data(kegggraphs)
## length(kegggraphs)


###################################################
### chunk number 12: kegggraphs element eval=FALSE
###################################################
## kegggraphs[[1]]


###################################################
### chunk number 13: Convert graphNEL to detailed adjacency matrix eval=FALSE
###################################################
## kegggraph.to.detailed.adjacency(gR=kegggraphs[[1]]$g)


###################################################
### chunk number 14: Use Laplace prior eval=FALSE
###################################################
## ddepn(data, lambda=2, B=B, usebics=FALSE)


###################################################
### chunk number 15: Use ScaleFree prior eval=FALSE
###################################################
## ddepn(data, gam=2.2, it=500, K=0.8, usebics=FALSE)


###################################################
### chunk number 16: Data generation eval=FALSE
###################################################
## library(ddepn)
## set.seed(12345)
## n <- 6
## signet <- signalnetwork(n=n, nstim=2, cstim=0, prop.inh=0.2)
## net <- signet$phi
## stimuli <- signet$stimuli
## weights <- signet$weights
## dataset <- makedata(net, stimuli, mu.bg=1200, sd.bg=400, mu.signal.a=2000, sd.signal.a=1000)
## data <- dataset$datx


###################################################
### chunk number 17: GA BIC eval=FALSE
###################################################
## mi=15
## p=30
## q=0.3
## m=0.8
## ret <- ddepn(data, phiorig=net, inference="netga",
##              maxiterations=mi, p=p, q=q, m=m,
##              usebics=TRUE)


###################################################
### chunk number 18: GA Laplace eval=FALSE
###################################################
## mi=15
## p=30
## q=0.3
## m=0.8
## B <- matrix(0.5, nrow=n, ncol=n, dimnames=dimnames(net))
## lambda <- 5
## ret <- ddepn(data, phiorig=net, inference="netga",
## 		maxiterations=mi, p=p, q=q, m=m,
## 		usebics=FALSE, lambda=lambda, B=B)


###################################################
### chunk number 19: GA ScaleFree eval=FALSE
###################################################
## mi=15
## p=30
## q=0.3
## m=0.8
## B <- matrix(0.5, nrow=n, ncol=n, dimnames=dimnames(net))
## gam <- 2.2
## it <- 500
## K <- 0.8
## ret <- ddepn(data, phiorig=net, inference="netga",
## 		maxiterations=mi, p=p, q=q, m=m,
## 		usebics=FALSE, gam=gam, it=it, K=K)


###################################################
### chunk number 20: MCMC Laplace eval=FALSE
###################################################
## mi <- 1000
## burnin <- 100
## B <- matrix(0.5, nrow=n, ncol=n, dimnames=dimnames(net))
## lambda <- 5
## ret <- ddepn(data, phiorig=net, inference="mcmc",
## 		maxiterations=mi, burnin=burnin,
## 		usebics=FALSE, lambda=lambda, B=B)


###################################################
### chunk number 21: MCMC ScaleFree eval=FALSE
###################################################
## B <- matrix(0.5, nrow=n, ncol=n, dimnames=dimnames(net))
## gam <- 2.2
## it <- 500
## K <- 0.8
## ret <- ddepn(data,phiorig=net, inference="mcmc",
## 		maxiterations=mi, burnin=burnin,
## 		usebics=FALSE, gam=gam, it=it, K=K)


###################################################
### chunk number 22: 
###################################################
toLatex(sessionInfo())


